/**
 * Copyright (C) 2010 Michael Mosmann <michael@mosmann.de>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.flapdoodle.mongoom.parser.converter;



import java.util.logging.Logger;

import de.flapdoodle.mongoom.datastore.Indexes;
import de.flapdoodle.mongoom.logging.LogConfig;
import de.flapdoodle.mongoom.mapping.IMappingConfig;
import de.flapdoodle.mongoom.parser.IMappingParserResult;
import de.flapdoodle.mongoom.parser.naming.IEntityNamingFactory;
import de.flapdoodle.mongoom.parser.naming.IPropertyNamingFactory;

public class ObjectMapper {
	
	private static final Logger _logger = LogConfig.getLogger(ObjectMapper.class);
	
	public ObjectMapper(IEntityNamingFactory entityNaming, IPropertyNamingFactory propertyNaming,
			IMappingParserResult mappingResult) {
		MappingVisitor mappingVisitor = new MappingVisitor(entityNaming, propertyNaming);
		mappingResult.inspect(mappingVisitor);
		mappingVisitor.getIndexes();
		
		_logger.severe("Index: "+mappingVisitor.getIndexes());
	}

}
